CPropertyFlagHolder Class Reference
Command line and parameter parsing

This class holds a set of properties. More...

`#include <mia/core/property_flags.hh>`

Inheritance diagram for CPropertyFlagHolder:
[legend]

## Public Types

typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

This class holds a set of properties.

This class holds a set of properies that can be compared

Remarks
  These properties are stored as plain text strings, but in the end only the pointer is compared.

Definition at line 41 of file property_flags.hh.

## Member Typedef Documentation

## Set

typedef std::set<const char *> CPropertyFlagHolder::Set

define the type of the set of flags

Definition at line 45 of file property_flags.hh.

## Constructor & Destructor Documentation

## ~CPropertyFlagHolder()

virtual CPropertyFlagHolder::~CPropertyFlagHolder | ( |  | ) |

virtual

Ensure evirtual destructor

## Member Function Documentation

## add()

void CPropertyFlagHolder::add | ( | const char * | property | ) |

add a certain property

Parameters

  property | proprety to add

## get_missing_properties()

Set CPropertyFlagHolder::get_missing_properties | ( | const CPropertyFlagHolder & | testset | ) | const

Evalaute the set of properties that is available in the testset but not in this one

Parameters

  testset |

Returns
  set of missing flags

## has()

bool CPropertyFlagHolder::has | ( | const char * | property | ) | const

check if a certain property is available

Parameters

  property |

Returns
  true if the property is available

## has_all_in()

bool CPropertyFlagHolder::has_all_in | ( | const CPropertyFlagHolder & | testset | ) | const

Tests if all properties in the testset are available in this instance

Parameters

  testset |

The documentation for this class was generated from the following file:

- property_flags.hh